| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
VisibleType Class Reference
UIExtension » addons » form_designer_addon

Represents the visibility state of a PDF form widget, encapsulating information about whether the widget is hidden, can be printed, or is viewable by the user. More...

## Public Attributes
boolean | hidden
| Indicates whether the widget is hidden. If true, the widget will not be displayed, printed, or allowed to interact with the user. More...
boolean | noView
| Indicates whether the widget is viewable by the user. If true, the widget does not display on the screen and does not allow interaction with the user. The annotation may be printed (depending on the setting of the print flag), but it should be considered hidden for purposes of on-screen display and user interaction. More...
boolean | print
| Indicates whether the widget can be printed. If true, the widget will be included in print outputs. More...

## Detailed Description

Represents the visibility state of a PDF form widget, encapsulating information about whether the widget is hidden, can be printed, or is viewable by the user.

Since
  11.0.0

See also
  Annot_Flags
  Widget.getFlags
  PDFFormCommonPropertiesService.getVisibleType

## Member Data Documentation

## ◆ hidden

boolean VisibleType::hidden

Indicates whether the widget is hidden. If true, the widget will not be displayed, printed, or allowed to interact with the user.

See also
  Annot_Flags.hidden

## ◆ noView

boolean VisibleType::noView

Indicates whether the widget is viewable by the user. If true, the widget does not display on the screen and does not allow interaction with the user. The annotation may be printed (depending on the setting of the print flag), but it should be considered hidden for purposes of on-screen display and user interaction.

See also
  Annot_Flags.noView

## ◆ print

boolean VisibleType::print

Indicates whether the widget can be printed. If true, the widget will be included in print outputs.

See also
  Annot_Flags.print

@2026 Foxit Software Incorporated. All rights reserved.